import os, argparse, sys, re, json
from mwclient import (Site,
                      errors)

# API CALL
# https://hub.xpub.nl/sandbox/itchwiki/api.php?action=smwbrowse&browse=pvalue&params={ "limit": 1500, "offset": 0, "property" : "Title", "search": "" }&format=json
# generated orgs.json

# login
site = Site(host='hub.xpub.nl/sandbox', path='/itchwiki/')

wd =os.path.dirname(os.path.abspath(__file__))  # parent working directory
with open(os.path.join(wd, 'login.txt'), 'r') as login:  # read login user & pwd
    loginlines = login.read()
    user, pwd = loginlines.split('\n')
    site.login(username=user, password=pwd)  # login to wiki


with open('titles.json', 'r') as f:
    titles = json.load(f)

for pagename in titles['query']:
    page = site.pages[pagename]
    if not page.text(): # if page has no text
        print(pagename)
        page.save('{{Publication}}\n[[Category:Title]]')
